import "~/styles/globals.css";
import { GeistSans } from "geist/font/sans";
import type { Metadata } from "next";
import { Top_Bar } from "~/app/_components/ui/top_bar";
import { SessionProvider } from "next-auth/react";

export const metadata: Metadata = {
  title: "Create T3 App",
  description: "Generated by create-t3-app",
  icons: [{ rel: "icon", url: "/favicon.ico" }],
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en" className={`${GeistSans.variable}`}>
      <body>
      <SessionProvider>
        <Top_Bar />
        {children}
      </SessionProvider>
      </body>
    </html>
  );
}
